de.dhbwstuttgart.syntaxtree.operator

## Class Operator

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.operator.Operator

- All Implemented Interfaces:
    IItemWithOffset
  Direct Known Subclasses:
    AddOp, LogOp, MulOp, RelOp

      public abstract class Operator
      extends SyntaxTreeNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `offset`
    `private int` | `variableLength`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator(int offset, int variableLength)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `int` | `getOffset()`
    `protected abstract java.util.Hashtable<RefType,RefType>` | `getOperatorTypes()`
    `abstract java.util.HashMap<ConstraintType,ConstraintType>` | `getReturnTypes(TypeAssumptions ass)` Liefert eine HashMap der Form: HashMap
    `int` | `getVariableLength()`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          private int offset

    - #### variableLength

          private int variableLength

  - ### Constructor Detail

    - #### Operator

          public Operator(int offset,
                          int variableLength)

  - ### Method Detail

    - #### getOffset

          public int getOffset()

    - #### getVariableLength

          public int getVariableLength()

    - #### getOperatorTypes

          protected abstract java.util.Hashtable<RefType,RefType> getOperatorTypes()

      See Also:
        `Pattern: Template Method`

    - #### getReturnTypes

          public abstract java.util.HashMap<ConstraintType,ConstraintType> getReturnTypes(TypeAssumptions ass)

      Liefert eine HashMap der Form: HashMap
      Parameters:
        `ass` -
      Returns:

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Specified by:
        `getChildren` in class `SyntaxTreeNode`